Update Places in a Place Set

Contents

PUT /places

Updates multiple places.

Note:

  • If both Address and coordinates are passed in the update call, both address and coordinates will be updated and the place will be plotted using the new coordinates.
  • If only address is passed, only the address for that place will be updated.
  • If only coordinates are passed, only coordinates for that place will be updated.

Request

Authorization: bearer {token}

Body:

NameDescriptionData Type
Id(Required) Unique place identifier
Int
SetId(Optional) Unique set identifier to which this place belongs
Int
PlaceName(Optional) Name of the place
string
ExternalPlaceId(Optional) Unique external place Id
Alphanumeric
Address(Optional) Address of the location (See below)
Complex
Coords(Optional) Coordinates of the location (See below)
Complex
Info(Optional) Comments or description about a place
string
Phone(Optional) Phone number of the place
string

Address

DataDescriptionData Type
StreetAddressThe house number and street name
string
CityThe name of the city
string
StateThe two letter state abbreviation
string
PostalCodeThe postal code or zip
string
CountryThe name of the country
string

Coords

DataDescriptionData Type
LatLatitude as a signed decimal with 6 digits to the right of the decimal. (For example, 40.360621)
string
LonLongitude as a signed decimal with 6 digits to the right of the decimal. (For example, -74.599027)
string

Response

NameDescriptionData Type
idUnique place set identifier
Int
ModifiedOnIndicates the last time the place was modified
DateTime

Sample Request

[
  {
    "Id": 9542664,
    "SetId": 12780,
    "PlaceName": "Business Location 1",
    "ExternalPlaceId": "CIDBL1",
    "Info": null,
    "Phone": "609-430-3245",
    "Address": {
      "StreetAddress": "457 North Harrison St.",
      "City": "Princeton",
      "State": "NJ",
      "PostalCode": "08852",
      "Country": "US"
    },
    "Coords": {
      "Lat": "40.368635",
      "Lon": "-74.657760"
    }
  },
  {
    "Id": 9542665,
    "PlaceName": "Business Location 2",
    "ExternalPlaceId": "CIDBL2",
    "Info": null,
    "Phone": "609-430-3245",
    "Address": {
      "StreetAddress": "1 Independence Way",
      "City": "Princeton",
      "State": "NJ",
      "PostalCode": "08852",
      "Country": "US"
    },
    "Coords": {
      "Lat": "40.360621",
      "Lon": "-74.599027"
    }
  }
]

Sample Response

{
  "error": [],
  "data": [
    {
      "ItemsModified": 1,
      "ModifiedOn": "2019-02-26T19:32:40.803+00:00",
      "PlaceId": 200767975
    }
  ]
}

Error Codes

MessageDescription
Either Address or Coords is requiredThis error will be thrown when Place does not include either address or coordinates.
Place Name is requiredThis error will be thrown when Place does not include PlaceName.
No matches foundThis error will be thrown when incorrect address is passed.
Cannot find set with supplied idThis error will be thrown when the Placeset id does not belong to the account.
Duplicated external place Id(s) in databaseThis error will be thrown when the ExternalPlaceId is already associated with a different place within the account.
Last updated March 21, 2020.